Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf
Class MissingSectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.hpsf.HPSFRuntimeException
                      org.apache.poi.hpsf.MissingSectionException

All Implemented Interfaces:
  java.io.Serializable

    public class MissingSectionException

extends HPSFRuntimeException

This exception is thrown if one of the `PropertySet`'s convenience methods does not find a required `Section`.

The constructors of this class are analogous to those of its superclass and documented there.

Author:
  Rainer Klute <klute@rainer-klute.de>
See Also:
  Serialized Form

Constructor Summary
`MissingSectionException()` Constructor
`MissingSectionException(java.lang.String msg)` Constructor
`MissingSectionException(java.lang.String msg, java.lang.Throwable reason)` Constructor
`MissingSectionException(java.lang.Throwable reason)` Constructor

Method Summary

Methods inherited from class org.apache.poi.hpsf.HPSFRuntimeException
`getReason, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingSectionException

    public MissingSectionException()

  Constructor

### MissingSectionException

    public MissingSectionException(java.lang.String msg)

  Constructor

  Parameters:
    `msg` - The exception's message string

### MissingSectionException

    public MissingSectionException(java.lang.Throwable reason)

  Constructor

  Parameters:
    `reason` - This exception's underlying reason

### MissingSectionException

    public MissingSectionException(java.lang.String msg,
                                   java.lang.Throwable reason)

  Constructor

  Parameters:
    `msg` - The exception's message string
    `reason` - This exception's underlying reason

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD